unable to install dplyr package

Discussion in 'Masters Program - Customers only' started by Viraja Vedula, Oct 28, 2017.

  1. Viraja Vedula

    Viraja Vedula New Member
    Alumni

    Joined:
    Oct 19, 2017
    Messages:
    1
    Likes Received:
    0
    hi
    i run a command install.packages("dplyr") and execute it. i get the following message
    install.packages("dplyr")
    trying URL 'https://cran.rstudio.com/bin/macosx/el-capitan/contrib/3.4/dplyr_0.7.4.tgz'
    Content type 'application/x-gzip' length 5094432 bytes (4.9 MB)
    ==================================================
    downloaded 4.9 MB

    tar: Failed to set default locale

    The downloaded binary packages are in
    /var/folders/xr/795s_wz52l5dmydf6g7s6t840000gn/T//RtmpDEYYUZ/downloaded_packages

    then i execute library(dplyr). i get the message
    > library(dplyr)

    Attaching package: 'dplyr'

    The following objects are masked from 'package:stats':

    filter, lag

    The following objects are masked from 'package:base':

    intersect, setdiff, setequal, union

    unable to use the filter and select commands on my data.frame . any suggestions
     
    #1
  2. Priyanka_Mehta

    Priyanka_Mehta Well-Known Member
    Simplilearn Support

    Joined:
    May 25, 2017
    Messages:
    726
    Likes Received:
    50
    Hi Viraja Vedula,

    Apologies for the delay in response.

    The message you are getting is just a warning message and the filter is available in dplyr and also in stats package. So you can resolved this issue by following the below mentioned solution:

    1. check that dplyr package is loaded correct with library(dplyr). search should tell you if dplyr is above stats in the search path
    2. call "library(stats)" before loading dplyr
    3. You can use the function using dplyr::

    Also you can ignore this using library(dplyr, warn.conflicts = FALSE).

    I hope this will help you.

    Regards,
    Priyanka
    GTA - Simplilearn
     
    #2

Share This Page